Conversations

Use the conversations endpoints to read conversation summaries for an organization. Once you have a conversation_id, use the messages endpoints to inspect the message history for that conversation.

List conversations

GET /api/v2/organizations/{organization_id}/conversations

This endpoint supports limit, cursor, start_date, and end_date. Date parameters are optional — omit them to return all conversations regardless of time.

Use the conversation_id values returned by this endpoint when calling the conversation detail and message endpoints.

List conversations

curl -G https://api.hyperrep.ai/api/v2/organizations/gAAAAABexampleOrganizationIdReturnedByApi7mN4qP2xLs9dV5kTr8cY1hJ6uW3/conversations \
  -H "X-API-KEY: your-api-key" \
  --data-urlencode "limit=25" \
  --data-urlencode "start_date=2026-04-01T00:00:00Z" \
  --data-urlencode "end_date=2026-04-30T23:59:59Z"

Example response

{
  "data": [
    {
      "conversation_id": "gAAAAABexampleConversationIdReturnedByApi8kP3xLs7dV2mTr5cN9hY1uJ4",
      "start_at": "2026-04-29T14:00:00Z",
      "last_activity_at": "2026-04-29T16:00:00Z",
      "folder": "inbox",
      "is_read": false,
      "contact_id": "gAAAAABexampleContactIdReturnedByApi4pQ8xLm2sV7kRt1cN5hY9uJ3dF6"
    }
  ],
  "pagination": {
    "limit": 25,
    "cursor": null,
    "next_cursor": null,
    "has_more": false
  }
}

Get a conversation

GET /api/v2/organizations/{organization_id}/conversations/{conversation_id}

Get one conversation

curl https://api.hyperrep.ai/api/v2/organizations/gAAAAABexampleOrganizationIdReturnedByApi7mN4qP2xLs9dV5kTr8cY1hJ6uW3/conversations/gAAAAABexampleConversationIdReturnedByApi8kP3xLs7dV2mTr5cN9hY1uJ4 \
  -H "X-API-KEY: your-api-key"

Example response

{
  "conversation_id": "gAAAAABexampleConversationIdReturnedByApi8kP3xLs7dV2mTr5cN9hY1uJ4",
  "start_at": "2026-04-29T14:00:00Z",
  "last_activity_at": "2026-04-29T16:00:00Z",
  "folder": "inbox",
  "is_read": false,
  "contact_id": "gAAAAABexampleContactIdReturnedByApi4pQ8xLm2sV7kRt1cN5hY9uJ3dF6"
}

Key response fields

  • Name
    conversation_id
    Description

    The identifier for the conversation and the key value used by the nested messages endpoints.

  • Name
    start_at
    Description

    When the conversation started.

  • Name
    last_activity_at
    Description

    The timestamp of the most recent activity in the conversation.

  • Name
    folder
    Description

    The current folder or status bucket for the conversation when available.

  • Name
    is_read
    Description

    Whether the conversation is currently marked as read.

  • Name
    contact_id
    Description

    The identifier of the related contact.

Was this page helpful?